# norootforbuild

Name:				collectd
Version:			4.8.2
Release:			6.5
Summary:			Statistics Collection Daemon for filling RRD Files
Source:				http://verplant.org/collectd/files/collectd-%{version}.tar.bz2
Source1:			collectd.suse.init
Source2:			collectd.apache2.conf
Source3:			collectd-rpmlintrc
Patch4:				collectd-lib64.patch
Patch7:				collectd-fix-config.patch
Patch9:				collectd-version.patch
Patch10:			collectd-perl-vendor.patch
Patch11:			collectd-Werror.patch
URL:				http://verplant.org/collectd/
Group:				System/Monitoring
License:			GNU General Public License (GPL)
BuildRoot:			%{_tmppath}/build-%{name}-%{version}
Requires:			sensors rrdtool
BuildRequires:	sensors rrdtool libpng-devel zlib-devel perl
BuildRequires:	libstatgrab-devel gettext gettext-devel intltool
BuildRequires:	make gcc autoconf automake libtool gcc-c++
BuildRequires:	freetype2-devel libart_lgpl-devel libnotify-devel
BuildRequires:	net-snmp-devel libxml2-devel libvirt-devel postgresql-devel
BuildRequires:	bind-devel
BuildRequires:	libgcrypt-devel

BuildRequires:  kernel-source
BuildRequires:	liboping-devel

%if %suse_version >= 930
BuildRequires:	mysql-shared mysql-devel >= 4.1.0
%endif

%if %suse_version >= 1030
BuildRequires:	rrdtool-devel
BuildRequires:	libcurl-devel
BuildRequires:  libpcap-devel
%else
%if 0%{?sles_version} >= 10
BuildRequires:	rrdtool-devel
BuildRequires:  libpcap
%endif
BuildRequires:	curl-devel
%endif

# in case we'd like to split it later:
Provides:		collectd-perl = %{version}-%{release}
PreReq:			%fillup_prereq
PreReq:			%insserv_prereq
# play nice with collectd-beta:
Obsoletes:		collectd-beta < %{version}
Provides:		collectd-beta = %{version}-%{release}

%description
collectd is a small daemon written in C for performance.  It reads various
system  statistics  and updates  RRD files,  creating  them if necessary.
Since the daemon doesn't need to startup every time it wants to update the
files it's very fast and easy on the system. Also, the statistics are very
fine grained since the files are updated every 10 seconds.

%package web
Summary:			Web Frontend for watching the %{name} Statistics
Group:			System/Monitoring
Requires:		perl apache2 rrdtool

%description web
Web frontend CGI for watching %{name} statistic from a browser.

Please look at /etc/apache2/conf.d/%{name}.conf on how to enable.

%debug_package
%prep
%setup -q -n "collectd-%{version}"
%if "%{_lib}"=="lib64"
%patch4
%endif
%patch7
%patch9
%patch10
%patch11
%__sed -i 's|@@VERSION@@|%{version}|g' configure.in

%build
mkdir -p libltdl/m4
##autoreconf -fiv
export CFLAGS="-DHAVE_IPTC_HANDLE_T -DHAVE_IP6TC_HANDLE_T"
%configure \
	--with-perl-bindings="INSTALLDIRS=vendor" \
	--with-libstatgrab \
	--with-rrdtool \
	--disable-nut \
%if %suse_version < 930
	--disable-mysql \
%endif
%ifos linux
	--enable-serial
%else
	--disable-serial
%endif

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__chmod 0755 "%{buildroot}%{_libdir}/collectd"/*.so

%__install -d -m 0755 "%{buildroot}%{_localstatedir}/lib/collectd"

%__install -D -m 0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/collectd"
%__install -d -m 0755 "%{buildroot}/usr/sbin"
%__ln_s "../../etc/init.d/collectd" "%{buildroot}/usr/sbin/rccollectd"

%__install -D -m 0644 "%{SOURCE2}" "%{buildroot}/etc/apache2/conf.d/%{name}.conf"
%__install -D -m 0755 contrib/collection.cgi "%{buildroot}/srv/www/collectd/collection.cgi"
# remove it from contrib, to avoid having it end up in the main package as well:
%__rm contrib/collection.cgi

%perl_process_packlist

%preun
%stop_on_removal collectd

%postun
%restart_on_update collectd
%insserv_cleanup
/sbin/ldconfig

%post
%{fillup_only collectd}
/sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%doc contrib
%config(noreplace) %{_sysconfdir}/collectd.conf
%{_bindir}/collectd-nagios
%{_sbindir}/collectd
%{_sbindir}/collectdmon
%dir %{_libdir}/collectd
%dir %{_datadir}/collectd
%{_datadir}/collectd/types.db
%{_libdir}/collectd/*.so
%{_libdir}/collectd/*.la
%{_libdir}/collectd/*.a
%{_libdir}/libcollectdclient.*
%{_libdir}/pkgconfig/libcollectdclient.pc
%{perl_vendorlib}/Collectd.pm
%dir %{perl_vendorlib}/Collectd
%{perl_vendorlib}/Collectd/*
%{perl_vendorarch}/auto/Collectd
%{_datadir}/collectd/postgresql_default.conf
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%doc %{_mandir}/man1/collectd.1*
%doc %{_mandir}/man1/collectd-nagios.1*
%doc %{_mandir}/man1/collectdmon.1*
%doc %{_mandir}/man5/collectd.conf.5*
%doc %{_mandir}/man5/collectd-email.5*
%doc %{_mandir}/man5/collectd-exec.5*
%doc %{_mandir}/man5/collectd-snmp.5*
%doc %{_mandir}/man5/collectd-perl.5*
%doc %{_mandir}/man5/collectd-unixsock.5*
%doc %{_mandir}/man5/types.db.5*
%doc %{_mandir}/man5/collectd-java.5*
%doc %{perl_man3dir}/Collectd::Unixsock.%{perl_man3ext}*
%dir %{_localstatedir}/lib/collectd
/etc/init.d/collectd
/usr/sbin/rccollectd
/var/adm/perl-modules/%{name}

%files web
%defattr(-,root,root)
%config(noreplace) /etc/apache2/conf.d/%{name}.conf
%dir /etc/apache2
%dir /etc/apache2/conf.d
/srv/www/collectd

%changelog
* Sat Dec 19 2009 Carsten Schoene <cs@linux-administrator.com> - 4.8.2-1
- update to new release 4.8.2

* Wed Oct 07 2009 Carsten Schoene <cs@linux-administrator.com> - 4.8.1-1
- update to new release 4.8.1

* Sun Sep 24 2009 Carsten Schoene <cs@linux-administrator.com> - 4.8.0-1
- update to new release 4.8.0

* Fri Jul 24 2009 Carsten Schoene <cs@linux-administrator.com> - 4.7.2-1
- new upstream version

* Sat May 16 2009 Carsten Schoene <cs@linux-administrator.com> - 4.7.0-1
- new upstream version

* Thu Mar 19 2009 Carsten Schoene <cs@linux-administrator.com> - 4.6.2-1
- new upstream version

* Sun Jan 11 2009 Carsten Schoene <cs@linux-administrator.com> - 4.5.2-1
- new upstream version

* Thu Sep 11 2008 Carsten Schoene <cs@linux-administrator.com> - 4.5.0-1
- new upstream version

* Thu Sep 11 2008 Carsten Schoene <cs@linux-administrator.com> - 4.4.3.1
- new upstream version 

* Mon Jul 28 2008 Carsten Schoene <cs@linux-administrator.com> - 4.4.2-1
- new upstream version

* Sun Jun 29 2008 Carsten Schoene <cs@linux-administrator.com> - 4.4.1-1
- new upstream version

* Thu Apr 24 2008 Carsten Schoene <cs@linux-administrator.com> - 4.3.3-1
- new upstream version

* Sun Apr 06 2008 Carsten Schoene <cs@linux-administrator.com> - 4.3.2-1
- new upstream version

* Tue Mar 18 2008 Carsten Schoene <cs@linux-administrator.com> - 4.3.1-1
- new upstream version

* Wed Feb 20 2008 Carsten Schoene <cs@linux-administrator.com> - 4.3.0-1
- new upstream version
- adapted config patch

* Sat Jan 26 2008 Carsten Schoene <cs@linux-administrator.com> - 4.2.4-1
- new upstream version

* Tue Dec 18 2007 Pascal Bleser <guru@unixtech.be> 4.2.2
- new upstream version

* Sat Nov 10 2007 Pascal Bleser <guru@unixtech.be> 4.2.1
- new upstream version
- promoted beta to stable

* Thu Oct 25 2007 Pascal Bleser <guru@unixtech.be> 4.1.3
- new upstream version

* Mon Oct  1 2007 Pascal Bleser <guru@unixtech.be> 4.1.2
- new upstream version

* Thu Sep 13 2007 Pascal Bleser <guru@unixtech.be> 4.1.1
- new upstream version
- forked off -beta

* Wed Sep 12 2007 Pascal Bleser <guru@unixtech.be> 4.0.8
- new upstream version
- moved to openSUSE Build Service

* Thu Aug 30 2007 Pascal Bleser <guru@unixtech.be> 4.0.7-1
- added --disable-nut, made the build fail
- new upstream version

* Tue Aug 14 2007 Pascal Bleser <guru@unixtech.be> 4.0.6-2
- fixed commented defaults in configuration file
- fixed init script
- dropped sysconfig
- fixed access rights on init script, thanks to Detlef for reporting

* Sat Aug  4 2007 Pascal Bleser <guru@unixtech.be> 4.0.6-1
- new upstream version

* Mon Jun 25 2007 Pascal Bleser <guru@unixtech.be> 4.0.4-1
- new upstream version

* Thu Jun 21 2007 Pascal Bleser <guru@unixtech.be> 4.0.3-1
- new upstream version

* Sun Jun 17 2007 Pascal Bleser <guru@unixtech.be> 4.0.2-1
- new upstream version

* Thu Jun  7 2007 Pascal Bleser <guru@unixtech.be> 4.0.1-1
- new upstream version

* Mon Jun  4 2007 Pascal Bleser <guru@unixtech.be> 4.0.0-1
- new upstream version

* Wed May 30 2007 Pascal Bleser <guru@unixtech.be> 3.11.5-1
- new upstream version

* Wed Apr 11 2007 Pascal Bleser <guru@unixtech.be> 3.11.4-1
- new upstream version

* Mon Apr  2 2007 Pascal Bleser <guru@unixtech.be> 3.11.3-1
- new upstream version

* Mon Feb 12 2007 Pascal Bleser <guru@unixtech.be> 3.11.2-1
- new upstream version

* Sat Feb 10 2007 Pascal Bleser <guru@unixtech.be> 3.11.1-1
- new upstream version

* Fri Nov  3 2006 Pascal Bleser <guru@unixtech.be> 3.10.2-1
- new upstream version

* Fri Jul 21 2006 Pascal Bleser <guru@unixtech.be> 3.10.1-1
- added %{_sysconfdir}/collectd.conf
- new upstream version

* Fri Jun 16 2006 Pascal Bleser <guru@unixtech.be> 3.9.3-1
- added mysql support on SUSE >= 9.3 (older versions don't have the required version >= 4.1.0)
- moved configure to build section
- new upstream version

* Mon May 15 2006 Pascal Bleser <guru@unixtech.be> 3.9.2-1
- new upstream version

* Thu Apr 20 2006 Pascal Bleser <guru@unixtech.be> 3.9.0-1
- added patch to fix a warning with a pointer diff being passed to printf
- added stripping of binaries on SUSE < 9.3
- removed Packager and Distribution, injected by rpmmacros
- new upstream version

* Tue Apr 11 2006 Pascal Bleser <guru@unixtech.be> 3.8.4-1
- new upstream version

* Fri Apr  7 2006 Pascal Bleser <guru@unixtech.be> 3.8.3-1
- new upstream version

* Tue Mar 14 2006 Pascal Bleser <guru@unixtech.be> 3.8.1-1
- new upstream version
- added BuildRequires for suse-release
- removed explicit Requires that are found by AutoReqProv

* Tue Jan 31 2006 Pascal Bleser <guru@unixtech.be> 3.7.0-1
- new upstream version
- added manpage for collectd.conf
- added SMP flags to make

* Tue Jan 24 2006 Pascal Bleser <guru@unixtech.be> 3.5.2-1
- new upstream version

* Mon Dec 26 2005 Pascal Bleser <guru@unixtech.be> 3.5.1-1
- new upstream version

* Mon Dec  5 2005 Pascal Bleser <guru@unixtech.be> 3.4.0-1
- small fixes to Requires section
- new upstream version

* Wed Nov  9 2005 Pascal Bleser <guru@unixtech.be> 3.3.0-1
- had to specify --enable-serial to build the serial collect module (only on Linux)
- sanitized spec file
- new upstream version

* Fri Oct 28 2005 Pascal Bleser <guru@unixtech.be> 3.2.0-1
- new upstream version

* Wed Oct  5 2005 Pascal Bleser <guru@unixtech.be> 3.0.0-1
- made rc-link in sbin conditional (SUSE)
- moved sysconfig file to fillup
- added debuginfo support
- new upstream version

* Mon Sep 19 2005 Pascal Bleser <guru@unixtech.be> 2.1.0-1
- dropped no-chown patch
- added manpage
- added runtime dependency to libping-dping
- added build dependency to libstatgrab
- new upstream version: 2.1.0

* Mon Aug 22 2005 Pascal Bleser <guru@unixtech.be> 1.6.0-1
- version 1.6.0

* Mon Aug  8 2005 Pascal Bleser <guru@unixtech.be> 1.5.1-1
- new package

# Local Variables:
# mode: rpm-spec
# tab-width: 3
# End:
